Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JTARecoveryRuntimeMBean

public interface JTARecoveryRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface is used for accessing transaction runtime characteristics for recovered transactions that are associated with a particular Transaction Recovery Service.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getInitialRecoveredTransactionTotalCount()` Returns the total number of transactions that are recovered from the Transaction Log initially.
`int` | `getRecoveredTransactionCompletionPercent()` Returns the percentage of the initially recovered transactions that are completed.
`boolean` | `isActive()` Returns whether the Transaction Recovery Service is currently activated on this server.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### isActive

    public boolean isActive()

  Returns whether the Transaction Recovery Service is currently activated on this server.

  Returns:
    The active value

### getInitialRecoveredTransactionTotalCount

    public int getInitialRecoveredTransactionTotalCount()

  Returns the total number of transactions that are recovered from the Transaction Log initially.

  Returns:
    The initialRecoveredTransactionTotalCount value

### getRecoveredTransactionCompletionPercent

    public int getRecoveredTransactionCompletionPercent()

  Returns the percentage of the initially recovered transactions that are completed.

  Returns:
    The recoveredTransactionCompletionPercent value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD